problem with lsb_release

Hi,

I am not sure if I am posting a thread in the right forum.

Recently, I installed SLES 12 SP3.
Then I installed a software called Mpcci that requires Lsb ibraries to be installed. I think I have it installed because the software was installed successfully.

Then I tried to install another software called abaqus, and I think the problem is with the lsb releases.
in one of its abaqus installation files, I think it checks the lsb release by this command
DSY_OS_Release=`lsb_release --short --id |sed 's/ //g'`

when I checked my lsb release using this command
lsb_release -a
I get
LSB Version: n/a
Distributor ID: SUSE
Description: SUSE Linux Enterprise Server 12 SP3
Release: 12.3
Codename: n/a

if I use this command
rpm -qf `which lsb_release`

I get the release version
lsb-release-2.0-28.1.noarch

I wanted to know why I get LSB Version: n/a, while I have a version installed. and how to fix the problem.

Regards,
islem

Comments

  • malcolmlewismalcolmlewis Knowledge Partner
    On Tue 17 Oct 2017 12:14:02 PM CDT, islem wrote:

    Hi,

    I am not sure if I am posting a thread in the right forum.

    Recently, I installed SLES 12 SP3.
    Then I installed a software called Mpcci that requires Lsb ibraries to
    be installed. I think I have it installed because the software was
    installed successfully.

    Then I tried to install another software called abaqus, and I think the
    problem is with the lsb releases.
    in one of its abaqus installation files, I think it checks the lsb
    release by this command
    DSY_OS_Release=`lsb_release --short --id |sed 's/ //g'`

    when I checked my lsb release using this command
    lsb_release -a
    I get
    LSB Version: n/a
    Distributor ID: SUSE
    Description: SUSE Linux Enterprise Server 12 SP3
    Release: 12.3
    Codename: n/a

    if I use this command
    rpm -qf `which lsb_release`

    I get the release version
    lsb-release-2.0-28.1.noarch

    I wanted to know why I get LSB Version: n/a, while I have a
    version installed. and how to fix the problem.

    Regards,
    islem


    Hi
    It's not the right place... SLES applications would have been the
    correct place ;)

    What prompted you to post here in Point of Sale systems, maybe something
    that can be changed in the forum?

    Anyway, if you look at the variable name, it's OS_Release, not LSB
    release (LSB is dead anyway...)

    If you run the command it produces the correct output;
    lsb_release --short --id |sed 's/ //g'
    SUSE
    
    You need to look further in the script to see if SUSE is valid, else
    fix the script.

    --
    Cheers Malcolm °¿° SUSE Knowledge Partner (Linux Counter #276890)
    openSUSE Leap 42.2|GNOME 3.20.2|4.4.87-18.29-default
    If you find this post helpful and are logged into the web interface,
    please show your appreciation and click on the star below... Thanks!
  • Hi Malcolm,

    Sorry about it, I didn't realize that this forum is for sale system. Any way, I fixed that problem by changing SUSELINUX to SUSE in abaqus installer script. But now I have another question about how to get openmotif that I will post in the appropriate sub forum.

    Regards,
    islem
Sign In or Register to comment.